=== debian/watch ===
version=3
https://metacpan.org/release/Tie-Array-Iterable   .*/Tie-Array-Iterable-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
